SSS_USERADD(8)

NAME
sss_useradd - créer un utilisateur

SYNOPSIS

sss_useradd [options] UTILISATEUR

DESCRIPTION

sss_useradd crée un nouveau compte utilisateur en utilisant les valeurs spécifiées en ligne de commande auquelles sont ajoutées les valeurs par défaut du système.

OPTIONS

-u,--uid UID
    Définit l'UID de l'utilisateur à la valeur UID. Si non précisé, il est choisit automatiquement.

-c,--gecos COMMENTAIRE
    Toute chaîne de caractère décrivant l'utilisateur. Souvent utilisé comme champ pour le nom entier de l'utilisateur.

-h,--home HOME_DIR
    Le répertoire personnel du compte utilisateur. Par défaut, on ajoute LOGIN à /home et on utilise cela comme dossier personnel. La base précédent LOGIN est modifiable avec le paramètre “user_defaults/baseDirectory” de sssd.conf.

-s,--shell SHELL
    L'interpréteur de commande de l'utilisateur. La valeur par défaut actuelle, /bin/bash, peut être modifiée avec le paramètre “user_defaults/defaultShell” dans sssd.conf.

-G,--groups GROUPES
    Une liste de groupes existants dont l'utilisateur est aussi membre.

-m,--create-home
    Crée le répertoire personnel de l'utilisateur s'il n'existe pas. Les fichiers et répertoires inclus dans le répertoire squelette (pouvant être définis avec l'option -k ou dans le fichier de configuration) sont copiés dans le dossier personnel.

-M,--no-create-home
    Ne pas créer de dossier personnel pour l'utilisateur. Écrase les paramètres de configuration.

-k,--skel SKELDIR
    Le répertoire squelette, contenant les fichiers et répertoires à copier dans le répertoire personnel de l'utilisateur, quand le répertoire personnel est créé par sss_useradd.

    Les fichiers spéciaux (périphériques blocs, caractères, tubes nommés et sockets unix) ne seront pas copiés.

    L'option n'est valide que si l'option -m (ou --create-home) est utilisée ou si la création de répertoires personnels est à TRUE dans la configuration.

-Z,--selinux-user UTILISATEUR_SELINUX
    L'utilisateur SELinux pour la connexion utilisateur. Si non spécifié, la valeur par défaut du système est utilisée.

-?,--help
    Affiche l'aide et quitte.

LE DOMAINE LOCAL

Pour fonctionner correctement, un domaine avec “id_provider = local” doit être créé et SSSD doit s'exécuter.

L'administrateur peut vouloir utiliser les utilisateurs locaux SSSD au lieu des utilisateurs UNIX traditionnels dans les cas où l'imbrication de groupes (cf. sss_groupadd(8)) est nécessaire. Les utilisateurs locaux sont également utiles pour les tests et le développement de SSSD sans avoir à déployer un serveur distant complet. Les outils sss_user * et sss_group * utilisent alors un stockage local de type LDB pour les utilisateurs et les groupes.

VOIR AUSSI

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/